> ## Documentation Index
> Fetch the complete documentation index at: https://developer.qminder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returning a ticket to the queue



## OpenAPI

````yaml /api-reference/openapi.json post /v1/tickets/{id}/returntoqueue
openapi: 3.1.0
info:
  title: Qminder API
  version: '1.0'
  description: >-
    The Qminder API allows you to integrate queue management into your own
    applications.
servers:
  - url: https://api.qminder.com
security:
  - sec0: []
tags:
  - name: Locations
    description: Manage physical service locations
  - name: Lines
    description: Manage virtual queues within locations
  - name: Input Fields
    description: Manage custom data fields for locations
  - name: Tickets
    description: Manage visitor queue entries
  - name: Appointments
    description: Manage scheduled appointments
  - name: Users
    description: Manage user accounts and permissions
  - name: Webhooks
    description: Manage webhook subscriptions
paths:
  /v1/tickets/{id}/returntoqueue:
    post:
      tags:
        - Tickets
      summary: Returning a ticket to the queue
      operationId: returning-a-ticket-to-the-queue
      parameters:
        - name: id
          in: path
          description: The ID of the ticket to return to queue.
          schema:
            type: string
          required: true
        - name: user
          in: query
          description: The ID of the user to return to queue.
          required: true
          schema:
            type: integer
            format: int32
        - name: position
          in: query
          description: >-
            The position the called ticket should be in the queue. Accepted
            values: "FIRST" = the ticket will be first in line. "LAST" = the
            ticket will be last in queue.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "statusCode": 200,
                      "result": "success"
                    }
              schema:
                type: object
                properties:
                  statusCode:
                    type: integer
                    example: 200
                    default: 0
                  result:
                    type: string
                    example: success
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: X-Qminder-REST-API-Key
      x-default: yourbusinessapikey

````